Bug 61132 - Tracing info
Summary: Tracing info
Status: RESOLVED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_substitute (show other bugs)
Version: 2.5-HEAD
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: FixedInTrunk, PatchAvailable
Depends on:
Blocks:
 
Reported: 2017-05-30 07:43 UTC by Marc Stern
Modified: 2018-05-31 17:27 UTC (History)
0 users



Attachments
add tracing info (1.40 KB, text/plain)
2017-05-30 07:43 UTC, Marc Stern
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Stern 2017-05-30 07:43:24 UTC
Created attachment 35011 [details]
add tracing info

The attached patch adds tracing info in the module (APLOG_TRACE8).
It also keeps a copy of the original pattern before compilation to display in the log (if APLOG_TRACE8 during startup).
Comment 1 Marc Stern 2017-05-30 07:47:34 UTC
I added the following debugging info:
1. line to be parsed, type or search (regex/string), replace string
2. in case of matching, the new value

All logging of debugging info is in level TRACE8

Remark: the matching string/regex is compiled, so it's normally not available at run-time.
I added this info in the subst_pattern_t struct, but only if log level >= APLOG_TRACE8 during config parsing.
Comment 2 Yann Ylavic 2017-11-23 17:30:27 UTC
Thanks for the contribution, committed to trunk in r1816179 with minor changes (style, 80 colomns, and format types).
Comment 3 Yann Ylavic 2017-11-23 17:37:16 UTC
Please next time provide a patch in unified format (i.e. diff -u) for easier review, it may shorten the delay for pacthes to be accepted/applied.
Comment 4 Christophe JAILLET 2018-05-31 17:27:44 UTC
Backported in r1832607.
Will be part of 2.4.34